Retrieve paginated list of ATS Candidates

Retrieves a list of candidates in the Applicant Tracking System. You can filter candidates by jobs, departments, and tags to narrow down the results Token scopes: ats:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

cursorstringOptional
The cursor for pagination
limitintegerOptional1-100Defaults to 20
Maximum number of records returned in one response
searchstringOptional
Search text for filtering candidates
job_idslist of stringsOptional
Filter candidates by job IDs
department_idslist of stringsOptional
Filter candidates by department IDs
tag_idslist of stringsOptional
Filter candidates by tag IDs
current_stage_category_type_slugslist of stringsOptional
Filter candidates by current stage category type slugs
current_stage_default_type_slugslist of stringsOptional
Filter candidates by current stage default type slugs
updated_afterstringOptionalformat: "date-time"

Filter applications updated after this timestamp (ISO 8601 format)

Response

Successful operation.
datalist of objects
has_moreboolean
Indicates if there are more items to fetch.
next_cursorstring or null
Cursor for the next page of results
total_countinteger>=0
Total number of candidates

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error